## Documentation Index

Fetch the complete documentation index at: [/llms.txt](https://docs.cognigy.com/llms.txt)

Use this file to discover all available pages before exploring further.

GET

/v2.0/lexicons/{lexiconId}/entries/{entryId}

### Try it

Get a Lexicon Entry

#### cURL

```bash
curl --request GET \
  --url https://api-trial.cognigy.ai/new/v2.0/lexicons/{lexiconId}/entries/{entryId} \
  --header 'X-API-Key: <api-key>'
```

#### Python

```python
import requests

url = "https://api-trial.cognigy.ai/new/v2.0/lexicons/{lexiconId}/entries/{entryId}"

headers = {"X-API-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
```

#### JavaScript

```javascript
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};

fetch('https://api-trial.cognigy.ai/new/v2.0/lexicons/{lexiconId}/entries/{entryId}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

#### PHP

```php
<?php
$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://api-trial.cognigy.ai/new/v2.0/lexicons/{lexiconId}/entries/{entryId}",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "GET",
  CURLOPT_HTTPHEADER => [
    "X-API-Key: <api-key>"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
?>
```

#### Go

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

url := "https://api-trial.cognigy.ai/new/v2.0/lexicons/{lexiconId}/entries/{entryId}"

req, _ := http.NewRequest("GET", url, nil)

req.Header.Add("X-API-Key", "<api-key>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))
}
```

#### Response Codes

- 200
- 400
- 401
- 402
- 403
- 404
- 405
- 409
- 413
- 500
- 501
- 502
- 503
- 504

### Sample Response

```json
{
  "mainKeyphrase": "pizza",
  "data": "{\"key1\": \"value1\" }",
  "slotReferences": [
    "<string>"
  ],
  "keyphrases": {
    "_id": "<string>",
    "value": "pizza",
    "isMainKeyphrase": true
  },
  "_id": "<string>",
  "createdAt": 1694518620,
  "lastChanged": 1694518620,
  "createdBy": "<string>",
  "lastChangedBy": "<string>"
}
```

### Error Responses

#### Bad Request

```json
{
  "type": "Bad Request",
  "title": "Bad Request Error",
  "status": 400,
  "detail": "Validation failed. Missing payload.",
  "instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
  "code": 1000,
  "traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
  "details": {}
}
```

#### Unauthorized

```json
{
  "type": "Unauthorized",
  "title": "Unauthorized Error",
  "status": 401,
  "detail": "<string>",
  "instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
  "code": 401,
  "traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
  "details": {}
}
```

### Authorizations

**X-API-Key**  
`header` (required)  
Supply the API Key in the HTTP-Header

### Headers

**Accept**  
`enum<string>`  
Available options: `application/json`, `application/hal+json`, `application/xml`, `text/xml`, `text/csv`. The default value is `application/json`.

### Path Parameters

- **lexiconId**  
  `string` (required)  
  The unique identifier for the Lexicon.  Required string length: `24`  Pattern: `^[a-z0-9]{24}$`

- **entryId**  
  `string` (required)  
  The unique identifier for the entry in the Lexicon.  Required string length: `24`  Pattern: `^[a-z0-9]{24}$`

### Response

**200**  
application/json  
Returns Lexicon Entry Object

The IEntityMeta defines meta information every entity within the system has. These are dates when a resource was created and modified as well as information about the user who initially created a resource and who modified it the last time.

- **mainKeyphrase**  `string` (required)  the keyphrase value
    - Example: `"pizza"`
- **data**  `string`  Additional JSON-data of the lexicon entry
    - Example: `"{\"key1\": \"value1\" }"`
- **slotReferences**  `string[]`  The used slots by the lexicon entry
- **keyphrases**  `object`  Show child attributes
- **_id**  `string` Required string length: `24`
- **createdAt**  `integer` Unix-timestamp
- **lastChanged**  `integer` Unix-timestamp
- **createdBy**  `string` Required string length: `24`
- **lastChangedBy**  `string` Required string length: `24`

Last modified on July 8, 2026.
